Application: gvSIG desktop - gvSIG bugs #4302

Error al leer proyeccién de capa lan provoca error bloqueante en el dialogo de seleccion de
proyecciones.

07/28/2016 11:09 AM - Francisco Diaz Carsi

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category:

Target version: 2.3.0-2440 (rev. org.gvsig.desktop-2.0.14B)

Severity: Blocker Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2439 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Pasos para reproducirlo:
1 Cargamos la capa bouldr_tm.lan (la adjunto)

vemos que en la ventana de carga de capas dice "reproyectada al vuelo" pero no muestra la proyeccion original de la capa (en
consola podemos ver que ha saltado un error de "unsupported SRS" pero no advierte de nada al usuario)

podemos ver también que ha creado un archivo rmf (que adjunto también) donde dice que la proyeccion es "LOCAL_CS[UTM -
Zone Unknown,UNIT[Meter, 1]]"

2 Si nos damos cuenta de este hecho, podemos intentar asignar una proyeccion a la capa en el didlogo de propiedades de carga de
la capa. Lo abrimos.

alli vemos que el campo CRS esta vacio.
3 Pulsamos el botén "..." para seleccionar una proyeccion, no se abre mostrando un error en la barra de estado (en consola podemos
ver que se ha producido un error de NullPointerException en la persistencia de los crs recientemente usados.

A partir de ahi, dicha persistencia de los crs recientes se ha estropeado y si intentamos abrir el cuadro de dialogo de seleccién de
proyecciones revienta de nuevo con el mismo error (ni aunque cerremos y abramos gvSIG de nuevo).

La Unica manera de volver a una situacién normal es eliminar el archivo de persistencia del plugin de proyecciones sito en
~HOME/gvSIG/plugins/org.gvsig.projection.app.jcrs/plugin-persistence.dat pero eso, un usuario no experimentado no seria capaz de

hacerlo.

Adjunto log.

Associated revisions

Revision 6068 - 07/28/2016 02:24 PM - Francisco Diaz Carsi
refs #4302:

- Fixed GDalProvider to do not persist a projection without authority.
- Fixed RecentCRSsPersistence to do not add a CRS without authority, also to ignore persisted crs's without authority.

05/17/2024 1/2




- Fixed CrsRecentsPanel to do not show crs's without authority.

Revision 578 - 07/28/2016 02:24 PM - Francisco Diaz Carsi

refs #4302:

- Fixed GDalProvider to do not persist a projection without authority.

- Fixed RecentCRSsPersistence to do not add a CRS without authority, also to ignore persisted crs's without authority.

- Fixed CrsRecentsPanel to do not show crs's without authority.

History

#1 - 07/28/2016 11:14 AM - Francisco Diaz Carsi
- Description updated

- File gvSIG.log added

- File bouldr_tm.lan added

- File bouldr_tm.rmf added

#2 - 07/28/2016 11:14 AM - Francisco Diaz Carsi
- File deleted (bouldr_tm_.lan)

#3 - 07/28/2016 11:14 AM - Francisco Diaz Carsi
- File deleted (bouldr_tm.rmf)

#4 - 07/28/2016 12:31 PM - Francisco Diaz Carsi

- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2440 (rev. org.gvsig.desktop-2.0.146)

- Assignee set to Francisco Diaz Carsi

#5 - 07/28/2016 02:25 PM - Francisco Diaz Carsi
- Status changed from New to Fixed

#6 - 08/05/2016 10:36 AM - Alvaro Anguix

- Status changed from Fixed to Closed

Files

bouldr_tm.rmf 190 Bytes 07/28/2016 Francisco Diaz Carsi

bouldr_tm.lan 8.52 MB 07/28/2016 Francisco Diaz Carsi

gvSIG.log 458 KB 07/28/2016 Francisco Diaz Carsi
